# 5. API Reference | FFMODBankUpdateNotifier

This documentation is preliminary and is subject to change.

Properties:

Public:

- FFMODBankUpdateNotifier::BanksUpdateEvent

Private:

- FFMODBankUpdateNotifier::bUpdateEnabled
- FFMODBankUpdateNotifier::FilePath
- FFMODBankUpdateNotifier::NextRefreshTime
- FFMODBankUpdateNotifier::FileTime

Methods:

Public:

- FFMODBankUpdateNotifier::SetFilePath
- FFMODBankUpdateNotifier::Update
- FFMODBankUpdateNotifier::EnableUpdate

Private:

- FFMODBankUpdateNotifier::Refresh